<input type="text" placeholder="Enter message" #message>
<button type="button" (click)="popupClick()" >Send message</button>
<button type='button' (click)='hideElem()'>Hide This Elem</button>
<button type='button' (click)='sendObj()'>Send To App</button>
<button type='button' (click)='sendObjTwo()'>Send Other Data</button>
<p *ngIf="hideElement" >Element to hide</p>